# ZendCodeAnalyzerTask

Extends \Task

ZendCodeAnalyzerTask analyze PHP source code using the ZendCodeAnalyzer included in Zend Studio 5.1

Available warnings: zend-error - %s(line %d): %s oneline-comment - One-line comment ends with tag. bool-assign - Assignment seen where boolean expression is expected. Did you mean '==' instead of '='? bool-print - Print statement used when boolean expression is expected. bool-array - Array used when boolean expression is expected. bool-object - Object used when boolean expression is expected. call-time-ref - Call-time reference is deprecated. Define function as accepting parameter by reference instead. if-if-else - In if-if-else construction else relates to the closest if. Use braces to make the code clearer. define-params - define() requires two or three parameters. define-const - First parameter for define() should be string. Maybe you forgot quotes? break-var - Break/continue with variable is dangerous - break level can be out of scope. break-depth - Break/continue with depth more than current nesting level. var-once - Variable '%s' encountered only once. May be a typo? var-arg-unused - Function argument '%s' is never used. var-global-unused - Global variable '%s' is defined but never used. var-use-before-def - Variable '%s' is used before it was assigned. var-use-before-def-global - Global variable '%s' is used without being assigned. You are probably relying on register_globals feature of PHP. Note that this feature is off by default. var-no-global - PHP global variable '%s' is used as local. Maybe you wanted to define '%s' as global? var-value-unused - Value assigned to variable '%s' is never used var-ref-notmodified - Function parameter '%s' is passed by reference but never modified. Consider passing by value. return-empty-val - Function '%s' has both empty return and return with value. return-empty-used - Function '%s' has empty return but return value is used. return-noref - Function '%s' returns reference but the value is not assigned by reference. Maybe you meant '=&' instead of '='? return-end-used - Control reaches the end of function '%s'(file %s, line %d) but return value is used. sprintf-miss-args - Missing arguments for sprintf: format reqires %d arguments but %d are supplied. sprintf-extra-args - Extra arguments for sprintf: format reqires %d arguments but %d are supplied. unreach-code - Unreachable code in function '%s'. include-var - include/require with user-accessible variable can be dangerous. Consider using constant instead. non-object - Variable '%s' used as object, but has different type. bad-escape - Bad escape sequence: \%c, did you mean \%c? empty-cond - Condition without a body expr-unused - Expression result is never used

author | Knut Urdalen knut.urdalen@gmail.com
version | $Id: d1bcb58746c4f9bb6e63c43e61c9074f511ad456 $
package | phing.tasks.ext

### Methods

## Nested adder, adds a set of files (nested fileset attribute).

    addFileSet(\FileSet $fs) : void

### Arguments

#### $fs

`\FileSet`

## Analyze file

    analyze(string $file) : void

throws |

### Arguments

#### $file

`string`

## Returns the textual description of the task

    getDescription() : string

inherited

### Response

`string`

The text description of the task

## Returns the location within the buildfile this task occurs. Used by {@link BuildException} to give detailed error messages.

    getLocation() : \Location

inherited

### Response

`\Location`

The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

inherited

### Response

`\Target`

The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Returns a name

    getRegisterSlot(string $slotName) : \RegisterSlot

inherited

### Arguments

#### $slotName

`string`

### Response

`\RegisterSlot`

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

inherited

### Response

`\RuntimeConfigurable`

The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

inherited

### Response

`string`

Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

inherited

### Response

`string`

The type of this task (XML Tag)

## Called by the parser to let the task initialize properly.

    init()

inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

throws |

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.

    main()

inherited abstract

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

## Configure this task if it hasn't been done already.

    maybeConfigure()

inherited

## Perfrom this task

    perform()

inherited

throws |

## Path to ZendCodeAnalyzer binary

    setAnalyzerPath(string $analyzerPath)

### Arguments

#### $analyzerPath

`string`

## Sets a textual description of the task

    setDescription(string $desc)

inherited

### Arguments

#### $desc

`string`

The text describing the task

## Disable warning levels. Separate warning levels with ','

    setDisable(string $disable)

### Arguments

#### $disable

`string`

## Enable warning levels. Separate warning levels with ','

    setEnable(string $enable)

### Arguments

#### $enable

`string`

## File to be analyzed

    setFile(\PhingFile $file)

### Arguments

#### $file

`\PhingFile`

## Sets the haltonwarning flag

    setHaltonwarning(boolean $value)

### Arguments

#### $value

`boolean`

## Sets the location within the buildfile this task occurs. Called by the parser to set location information.

    setLocation(\Location $location)

inherited

### Arguments

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

inherited

### Arguments

#### $target

`\Target`

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

inherited

### Arguments

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Sets the name of this task for log messages

    setTaskName(string $name) : string

inherited

### Arguments

#### $name

`string`

### Response

`string`

A string representing the name of this task for log

## Sets the type of the task. Usually this is the name of the XML tag

    setTaskType( $name)

inherited

### Arguments

#### $name

``

### Properties

## analyzerPath

    analyzerPath :

### Type(s)

``

## file

    file :

### Type(s)

``

## filesets

    filesets :

### Type(s)

``

## counter

    counter :

### Type(s)

``

## disable

    disable :

### Type(s)

``

## enable

    enable :

### Type(s)

``

## haltonwarning

    haltonwarning :

### Type(s)

``

## Owning Target object

    target : \Target

inherited

var |

### Type(s)

`\Target`

## Description of the task

    description : string

inherited

var |

### Type(s)

`string`

## Internal taskname (req)

    taskType : string

inherited

var |

### Type(s)

`string`

## Taskname for logger

    taskName : string

inherited

var |

### Type(s)

`string`

## Stored buildfile location

    location : \Location

inherited

var |

### Type(s)

`\Location`

## Wrapper of the task

    wrapper : \RuntimeConfigurable

inherited

var |

### Type(s)

`\RuntimeConfigurable`

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`